#
# spec file for package kde-branding-openSUSE
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kde-branding-openSUSE
Version:        42.1
Release:        8.1
Url:            http://github.com/openSUSE/branding
Source0:        openSUSE.tar.xz
Source21:       sysconfig.displaymanager-kdm
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        openSUSE Brand File
License:        BSD-3-Clause
Group:          System/Fhs
BuildRequires:  fribidi
BuildRequires:  kde4-filesystem
BuildRequires:  kdelibs4-branding-upstream
BuildRequires:  update-desktop-files
BuildRequires:  wallpaper-branding-openSUSE
BuildArch:      noarch

%description
This package contains the file /etc/SUSE-brand, and its name is used as
a trigger for installation of correct vendor brand packages.

%define theme_name openSUSE

%package -n kdelibs4-branding-openSUSE
Summary:        openSUSE branding for KDE
Group:          System/GUI/KDE
Requires:       kdelibs4
Supplements:    packageand(kdelibs4:branding-openSUSE)
Provides:       kdelibs4-branding = %{_kde_branding_version}
Conflicts:      otherproviders(kdelibs4-branding)
BuildArch:      noarch

%description -n kdelibs4-branding-openSUSE
openSUSE branding for KDE workspace

%package -n ksplashx-branding-openSUSE
Summary:        openSUSE branding for KDE splash
Group:          System/Fhs
Provides:       ksplashx-branding = %{version}
Conflicts:      otherproviders(ksplashx-branding)
Supplements:    packageand(kdebase4-workspace:branding-openSUSE)
BuildArch:      noarch
# links its images
Requires:       wallpaper-branding-openSUSE

%description -n ksplashx-branding-openSUSE
openSUSE branding for KDE splash (splashx engine)

%package -n ksplash-qml-branding-openSUSE
Summary:        openSUSE branding for KDE splash QML
Group:          System/Fhs
Provides:       ksplash-qml-branding = %{version}
Conflicts:      otherproviders(ksplash-qml-branding)
Supplements:    packageand(kdebase4-workspace:branding-openSUSE)
BuildArch:      noarch
# links its images
Requires:       wallpaper-branding-openSUSE

%description -n ksplash-qml-branding-openSUSE
openSUSE branding for KDE splash (QML engine)

%package -n susegreeter-branding-openSUSE
Summary:        openSUSE branding for the KDE greeter
Group:          System/Fhs
Provides:       susegreeter-branding = %{version}
Conflicts:      otherproviders(susegreeter-branding)
BuildArch:      noarch

%description -n susegreeter-branding-openSUSE
openSUSE %{version} branding for the KDE greeter welcome screen

%package -n kdm-branding-openSUSE
Summary:        openSUSE branding for KDE login and display manager
Group:          System/GUI/KDE
PreReq:         %fillup_prereq
Supplements:    packageand(kdm:branding-openSUSE)
Provides:       kde4-kdm-branding-openSUSE = %{version}
Provides:       kdm-branding = %{_kde_branding_version}
Obsoletes:      kde4-kdm-branding-openSUSE < %{version}
Conflicts:      otherproviders(kdm-branding)
BuildArch:      noarch
Requires:       wallpaper-branding-openSUSE
Requires(post):	kdm

%description -n kdm-branding-openSUSE
This package contains openSUSE %{version} branding for kdm, the login and session manager for KDE.

%prep
%setup -q -c
cp -a openSUSE/LICENSE COPYING 

%build
mkdir about
cp /usr/share/kde4/apps/kdeui/about/kde_infopage.css about/
cp /usr/share/kde4/apps/kdeui/about/kde_infopage_rtl.css about/
pushd about/
# need to have latest kdelibs4 in factory
patch -p0 < ../openSUSE/kdelibs/css.diff
popd

%install
mkdir -p %{buildroot}/var/adm/fillup-templates
cp %{SOURCE21} %{buildroot}/var/adm/fillup-templates/

mkdir -p %{buildroot}%{_kde4_appsdir}/kdeui/about
cp -a about/* %{buildroot}%{_kde4_appsdir}/kdeui/about

make -C openSUSE install DESTDIR=%{buildroot}
%suse_update_desktop_file  %{buildroot}/usr/share/kde4/apps/ksplash/Themes/ksplashx-suse/Theme.rc
%suse_update_desktop_file  %{buildroot}/usr/share/kde4/apps/ksplash/Themes/ksplash-qml-openSUSE/Theme.rc

rm -rf %{buildroot}/usr/share/{YaST2,backgrounds,gnome-background-properties,grub2,gimp,pixmaps,plymouth,wallpapers}

%post -n kdm-branding-openSUSE
%{fillup_only -n displaymanager -s kdm}
if [ -f /usr/share/kde4/config/kdm/kdmrc ]; then
    sed -i -e 's/elarun/openSUSE/g' /usr/share/kde4/config/kdm/kdmrc
fi

%postun -n kdm-branding-openSUSE
if [ $1 -eq 0 -a -f /usr/share/kde4/config/kdm/kdmrc ]; then
   sed -i -e 's/openSUSE/elarun/g' /usr/share/kde4/config/kdm/kdmrc
fi

%files -n kdelibs4-branding-openSUSE
%defattr(-,root,root)
%doc COPYING
%{_kde4_appsdir}/kdeui
%dir %{_kde4_appsdir}/ksplash
%dir %{_kde4_appsdir}/ksplash/Themes

%files -n ksplashx-branding-openSUSE
%defattr(-,root,root)
%{_kde4_appsdir}/ksplash/Themes/ksplashx-suse

%files -n ksplash-qml-branding-openSUSE
%defattr(-,root,root)
%dir %{_kde4_appsdir}/ksplash/Themes/ksplash-qml-openSUSE
%{_kde4_appsdir}/ksplash/Themes/ksplash-qml-openSUSE

%files -n kdm-branding-openSUSE
%defattr(-,root,root)
%doc COPYING
%{_kde4_appsdir}/kdm
%{_localstatedir}/adm/fillup-templates/sysconfig.displaymanager-kdm

%files -n susegreeter-branding-openSUSE
%defattr(-,root,root)
/usr/share/kde4/apps/SUSEgreeter

%changelog
* Tue Jun 14 2016 fvogt@suse.com
- Remove Supplements: on yast2-qt-branding-openSUSE (boo#955381)
- Fix xfce4-splash-branding-openSUSE conflicts
* Fri Oct  9 2015 coolo@suse.com
- update for qss fix
* Fri Oct  9 2015 snwint@suse.de
- activate new LEAP gfxboot animation
* Tue Sep 29 2015 dmueller@suse.com
- build grub2 branding for aarch64
* Tue Sep 22 2015 coolo@suse.com
- put the logo on top
* Tue Sep 22 2015 coolo@suse.com
- tweak plymouth script
* Thu Sep 10 2015 coolo@suse.com
- put new branding in place (mostly wallpaper for now)
- disable GNOME dynamic (that isn't dynamic)
- bump version
* Sat Oct 25 2014 RBrownCCB@opensuse.org
- Fix plymouth theme
- Replace Grub2 and gfxboot themes with mint on black instead of
  white on mint
* Mon Oct 13 2014 hrvoje.senjan@gmail.com
- Update KSplash for 13.2 branding
* Sat Oct 11 2014 matwey.kornilov@gmail.com
- plymouth-plugin-label is not required anymore:
  + https://github.com/openSUSE/branding/commit/e02d63e4ef11b7d9ec2e9a22326bfb83c1aba310
  + http://lists.opensuse.org/opensuse-arm/2014-10/msg00032.html
* Mon Sep  8 2014 coolo@suse.com
  update go git:
- updated KDM theme for 13.2
- reduced svg file size with Inkscape > Vacuum Defs
* Tue Sep  2 2014 coolo@suse.com
- fix merge conflicts
* Mon Sep  1 2014 rbrownccb@opensuse.org
- Lower openSUSE logo in grub2 by 5px to improve spacing under OS title
* Mon Sep  1 2014 rbrownccb@opensuse.org
- replace grub2 openSUSE logo with high resolution badge
* Mon Sep  1 2014 rbrownccb@opensuse.org
- add openSUSE logo to gfxboot images
* Mon Sep  1 2014 rbrownccb@opensuse.org
- new yast branding location now handled by git makefile, remove mv
  from spec file
* Sun Aug 31 2014 rbrownccb@opensuse.org
- Initial openSUSE 13.2 branding
* Sat Aug 30 2014 coolo@suse.com
- yast branding needs to be installed in /usr/share/YaST2/theme/current
  now
* Fri Apr 25 2014 rbrownccb@opensuse.org
- Update YaST installer look to similar to sle12
* Thu Feb 27 2014 coolo@suse.com
- set version to 13.2 - let the games begin
* Mon Oct  7 2013 bruno@ioda-net.ch
- Update for kdm : readd traditionnal username field
  fix bnc#844247 for nis login
  fix bnc#841719 clickable list again
* Tue Oct  1 2013 bruno@ioda-net.ch
- Move tarball compression to xz and save 20%% of space
- github 13.1 Makefile adapted to new tar.xz
* Mon Sep 30 2013 bruno@ioda-net.ch
- New tarball with fixes for userlist in kdm
  https://github.com/Caig/branding/commit/c0e079b539b615ae393c912ba6e6c40116926291
  bnc#842140
* Fri Sep 27 2013 coolo@suse.com
- remove workaround for bnc#782703
* Tue Sep 10 2013 tittiatcoke@gmail.com
- Add Requires(post): kdm for the kdm-branding to make sure that
  the configuration file kdmrc is installed before the branding
  is installed. This due to possible sequencing errors that could
  end up with the wrong theme for kdm.
* Tue Sep 10 2013 rbrownccb@opensuse.org
- grub2: updated release number text
* Sat Sep  7 2013 tittiatcoke@gmail.com
- Reduce the amount of KDM settings in sysconfig/displaymanager to
  purely autologin. This enables that KDM can be configured again
  through the normal KDE systemsettings module. (bnc#267903)
* Mon Sep  2 2013 sbrabec@suse.cz
- Rename branding file to SUSE-brand (FATE#316269).
* Tue Aug 27 2013 coolo@suse.com
- revert parts of fix for bnc#768686 to get installation steps
  readable again
- sync the 2 changes files with a pre_checkin.sh
* Fri Aug 16 2013 bruno@ioda-net.ch
- updated tar without gimp
* Fri Aug 16 2013 bruno@ioda-net.ch
- gimp will be unbranded in 13.1, so cleanup of gimp
* Fri Aug  2 2013 coolo@suse.com
- split kde and gimp branding into a spec file of it's own to leave
  kde out of the Factory:Core project
* Wed Jul 24 2013 hrvoje.senjan@gmail.com
- Drop kdm-branding-upstream BuildRequires, not needed since usage
  of _kde_branding_version macro
* Tue Jul  2 2013 tittiatcoke@gmail.com
- Utilize the new variable _kde_branding_version for the provides/
  requires of the KDE branding packages
* Wed Apr 24 2013 aj@suse.com
- Increase version to 13.1
* Thu Apr 18 2013 coolo@suse.com
- update from git to update kde patch
* Tue Apr  2 2013 coolo@suse.com
- add a conflict for other xfce4-splash-branding (otherproviders
  not necessary in 12.1+)
* Tue Apr  2 2013 coolo@suse.com
- fix dir conflict with grub2
* Thu Feb 28 2013 coolo@suse.com
- fix the %%post of plymouth branding to still set openSUSE default
  even if in live cd buildenv (bnc#804321)
* Fri Feb 15 2013 rbrownccb@opensuse.org
- YaST installation hyperlink color darkened
- Plymouth statup/shutdown progress fade tuned
* Thu Feb 14 2013 coolo@suse.com
- one more update for the kdm colors
* Wed Feb 13 2013 aj@suse.com
- Fix summary.
* Wed Feb 13 2013 rbrownccb@opensuse.org
- (KDM) added support for domain logins
- (KDM) changed background color of userlist box
* Mon Feb 11 2013 hrvoje.senjan@gmail.com
- Exclude upstream body-background
* Wed Feb  6 2013 rbrownccb@opensuse.org
- Final 12.3 kdelibs branding
- Tuning to kdm branding
* Wed Feb  6 2013 rbrownccb@opensuse.org
- Optimised plymouth theme file sizes
- gfxboot now using fifthleg font
- YaST2 installer theme using 12.3 green
* Tue Feb  5 2013 rbrownccb@opensuse.org
- Cleaner plymouth boot theme with fade down on shutdown
* Tue Feb  5 2013 rbrownccb@opensuse.org
- Improved Grub 2 Theme (ilmehtar & anditosan)
- Improved xfce splash (victorhck)
- Updated gfxboot backgrounds (tux93)
* Wed Jan 30 2013 rbrownccb@opensuse.org
- Grub 2 Theme based on 12.3 grow design
- gfxboot art based on 12.3 grow design
- YaST installer art based on 12.3 grow design
- xfce splash based on 12.3 grow design
- gimp splash based on 12.3 grow design
* Tue Jan 22 2013 rbrownccb@opensuse.org
- Fix Plymouth 4:3 aspect ratio so it shows vine design
* Sat Jan 19 2013 rbrownccb@opensuse.org
- Plymouth now supports several aspect ratios
* Sat Jan 19 2013 rbrownccb@opensuse.org
- Update of plymouth theme for 12.3 based on grow design
- Updated 12.3 KDM theme
* Thu Jan 10 2013 coolo@suse.com
- fix product version in gfxboot welcome screen
* Thu Jan 10 2013 coolo@suse.com
- update from git with kdm and kpslashx updates
- remove more bootsplash
* Wed Jan  9 2013 dmitry_r@opensuse.org
- Restore gfxboot welcome text
* Sat Dec 22 2012 rbrownccb@opensuse.org
- Initial 12.3 branding based on the 'grow' design
* Thu Nov 22 2012 coolo@suse.com
- bump version to 12.3 and get rid of bootsplash theming
* Sat Nov 10 2012 arvidjaar@gmail.com
- remove reference to grub2-efi-mkconfig (bnc#782891)
* Fri Sep 28 2012 coolo@suse.com
- add a /usr/share/libyui/theme symlink as long as yast looks there
  for themeing
* Sat Aug  4 2012 dmitry_r@opensuse.org
- Add new welcome text for install splash
* Fri Jul 27 2012 tittiatcoke@gmail.com
- Update to the grub2 theme to include also the theming for
  the terminal windows (bnc#770107)
* Thu Jul 26 2012 tittiatcoke@gmail.com
- Add the openSUSE branding for the Plymouth bootsplash
* Mon Jul 16 2012 snwint@suse.de
- remove /boot/grub2/backgrounds
* Thu Jul 12 2012 coolo@suse.com
- let grub2-branding supplement grub2
* Wed Jul  4 2012 mchang@suse.com
- Fix grub2 config not update on UEFI system. (bnc#770031)
* Thu Jun 28 2012 dmueller@suse.com
- make grub2 branding optional (for arm)
* Fri Jun 22 2012 snwint@suse.de
- reworked grub2 branding packages and named them grub2-branding-XXX
  (changes are in git tree)
* Sun Jun 17 2012 bruno@ioda-net.ch
- Fixed sources for grub2 (now in gitorious -art repo)
- Removed patch for grub2
* Fri Jun  8 2012 mchang@suse.com
- Add grub2-gfxconsole branding package
* Mon May 28 2012 bruno@ioda-net.ch
- Fixes for bnc#763262 kdm theme, panel is again png due to
  QSvgRender not able to handle full svg.
  Default themes is now called openSUSE in place of SUSE (also
  fixed in sysconfig/displaymanager
- Fixes for ksplash-qml-openSUSE bnc#763266 : openSUSE logo now
  stick to size in kdm for smooth transition. KDE animation position
  at better place.
* Mon May 21 2012 bruno@ioda-net.ch
- Fixes for bnc #763266 about ksplash-qml-openSUSE (bad name &
  missing file main.qml
- Fixes for bnc #763262 size of boxes and logo, background for
  users list.
* Sat May  5 2012 bruno@ioda-net.ch
- Add kdm branding for 12.2
* Tue Apr 24 2012 aj@suse.de
- Add extra license for xfce subpackage (bnc#758793).
* Sun Apr 22 2012 bruno@ioda-net.ch
- Fully updated design for 12.2
- ksplash-qml-suse added
* Tue Apr 10 2012 fisiu@opensuse.org
- Update summaries in subpackages.
* Thu Feb  9 2012 tgoettlicher@suse.de
- fix for bnc #742777: yast theme without background image
* Wed Feb  1 2012 RBrownCCB@opensuse.org
- initial update to 12.2 design
* Tue Nov 22 2011 coolo@suse.com
- bumb version
* Fri Nov 11 2011 tgoettlicher@suse.com
- fixed style of combo boxes (bnc# 725952)
* Thu Oct 27 2011 coolo@suse.com
- fix one colour code for yast
* Wed Oct 19 2011 tgoettlicher@suse.com
- fixed colors of scollbars in installation
* Sun Oct 16 2011 coolo@suse.com
- readd gimp as buildreqiures
* Thu Oct 13 2011 coolo@suse.com
- let kdm-branding provide the same version as branding-upstream
* Wed Oct 12 2011 vuntz@opensuse.org
- Change gimp-branding-openSUSE packaging to not depend on the gimp
  version, so we don't have to rebuild the package when gimp
  changes.
* Mon Oct 10 2011 coolo@suse.com
- enable kdelibs diff now
- add gimp branding
* Fri Oct  7 2011 coolo@suse.com
- add a COPYING for the xfce splash screen
* Fri Oct  7 2011 coolo@suse.com
- add branding for xfce4 splash screen
* Thu Oct  6 2011 coolo@suse.com
- prepare to patch kdelibs4 branding from upstream
* Thu Oct  6 2011 vuntz@opensuse.org
- Keep the touch required by update-alternatives here, instead of
  moving it to the Makefile.
- Move check logic to the Makefile.
* Thu Oct  6 2011 coolo@suse.com
- move install logic in the Makefile
* Wed Oct  5 2011 vuntz@opensuse.org
- Improve GNOME-related checks in %%check so that they cover the
  dynamic wallpaper and work with the new layout for static
  wallpaper.
* Wed Oct  5 2011 coolo@suse.com
- Update openSUSE.tar.gz from git:
  + More aspect ratios supported
  + Updated dynamic GNOME wallpapers
* Tue Oct  4 2011 vuntz@opensuse.org
- Update openSUSE.tar.gz from git:
  + Artwork has been updated.
  + Progress bar in bootsplash got removed since systemd doesn't
    support it.
  + Now includes the files needed for GNOME wallpapers.
- Create dynamic-wallpaper-branding-openSUSE subpackage:
  + This contains the dynamic wallpaper as used in GNOME.
  + This replaces (with appropriate Provides/Obsoletes) the
    previous openSUSE-dynamic-wallpaper package we had.
  + Install the files from the tarball needed for the dynamic
    wallpaper.
  + Use update-alternatives in %%post/%%postun of this subpackage to
    override the default wallpaper in GNOME: we prefer the dynamic
    version over the static one.
- Drop wallpaper-branding-openSUSE.xml.in and
  wallpaper-openSUSE-default-static.xml sources: they're now
  shipped openSUSE.tar.gz, so we don't have to create them.
- Move various consistency checks from %%install to %%check.
* Tue Oct  4 2011 coolo@suse.com
- provide susegreeter-branding
* Wed Sep 28 2011 coolo@suse.com
- use jpg as kdm background
* Wed Sep 28 2011 coolo@suse.com
- add kdm theme from Marcus
* Wed Sep 28 2011 coolo@suse.com
- adopt ksplashx to new logo position
* Tue Sep 27 2011 coolo@suse.com
- move ksplashx and kde wallpaper here too
* Tue Sep 27 2011 coolo@suse.com
- update bootsplash graphics
* Tue Sep 27 2011 coolo@suse.com
- fix %%ifarch logic - and update to azul previews
* Mon Sep 26 2011 vuntz@opensuse.org
- Add missing update-alternatives Requires(post)/Requires(postun)
  to wallpaper-branding-openSUSE, since this is now using
  update-alternatives.
* Fri Sep 23 2011 meissner@suse.de
- gfxboot is only on x86_64 and %%ix86
* Thu Sep 22 2011 vuntz@opensuse.org
- Import logic for the XML file used by GNOME to describe the
  default wallpaper from desktop-data-openSUSE:
  + Add wallpaper-branding-openSUSE.xml.in and
    wallpaper-openSUSE-default-static.xml source files.
  + Check in %%install that wallpaper-openSUSE-default-static.xml
    lists the right default wallpapers.
  + Use update-alternatives in %%post/%%postun of
    wallpaper-branding-openSUSE for the openSUSE-default.xml file.
- Remove unneeded GraphicsMagick, fam, inkscape and php5
  BuildRequires.
- Add update-desktop-files and call %%suse_update_desktop_file on
  the .desktop files describing the wallpapers.
* Thu Sep 22 2011 coolo@suse.com
- fix backward compat
* Thu Sep 22 2011 coolo@suse.com
- move yast2-qt branding here
* Thu Sep 22 2011 coolo@suse.com
- integrate wallpaper logic here too
* Thu Sep 22 2011 coolo@suse.com
- move details logic into art's Makefile
* Wed Sep 21 2011 coolo@suse.com
- add gfxboot branding here
* Wed Sep 21 2011 coolo@suse.com
- add bootsplash branding here
* Sat Sep 10 2011 coolo@suse.com
- bump version
* Wed Oct  6 2010 aj@suse.de
- increase version number.
* Wed Jun 23 2010 coolo@novell.com
- increase version number
* Mon Feb  9 2009 coolo@suse.de
- increase version number
* Sat Nov  1 2008 coolo@suse.de
- increase version number
* Mon Oct  6 2008 sbrabec@suse.cz
- Conflict with other branding providers (FATE#304881).
* Wed Apr  9 2008 sbrabec@suse.cz
- Added COPYING file (bnc#373602).
* Wed Mar 19 2008 sbrabec@suse.cz
- New SuSE package (fate#301464, bnc#372275).
